<?php
/**
 * 头部header
 */
@ini_set('display_errors','off'); // 未知错误不予显示
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="<?php echo get_option('Lonesome_ico') ?>" rel="shortcut icon">
    <?php get_template_part('inc/add-header') ?>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> itemscope="itemscope" itemtype="http://schema.org/WebPage">

<div id="page" class="site">

	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( '跳到内容', 'Lonesome' ); ?></a>

	<div class="top-bar">
		<div class="container">
			<div class="top-bar-left pull-left">
				<?php if ( has_nav_menu( 'top_bar_left' ) ) : ?>
					<nav id="top-bar-left-navigation" class="top-bar-navigation">
						<?php
						wp_nav_menu( array(
							'theme_location' => 'top_bar_left',
							'container'      => '',
							'menu_class'     => 'top-bar-menu',
							'menu_id'        => 'top-bar-left-menu',
							'fallback_cb'    => '',
						) );
						?>
						<div id="sidebar-toggle" class="sidebar-toggle">
							<span></span>
						</div>
					</nav>
				<?php endif; ?>
			</div>

			<div class="top-bar-right pull-right text-right">
				<div class="top-admin">
					<!--站点统计开始-->
					<i class="icon-stats"></i>
					<a href="javascript:;" id="mStats" class="stats_click"><?php esc_html_e( '统计', 'Lonesome' ); ?>
						<div class="stats">
							<ul>
							<li>建站日期：<?php echo get_option('Lonesome_stats'); ?></li>
							<li>运行天数：<?php echo floor((time()-strtotime(get_option('Lonesome_stats')))/86400); ?> 天</li>
							<li>分类总数：<?php echo $count_categories = wp_count_terms('category'); ?> 个</li>
							<li>日志总数：<?php $count_posts = wp_count_posts(); echo $published_posts = $count_posts->publish;?> 篇</li>
							<li>标签数量：<?php echo $count_tags = wp_count_terms('post_tag'); ?> 个</li>
							<li>评论总数：<?php echo $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->comments");?> 条</li>
							<li>链接数量：<?php $link = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->links WHERE link_visible = 'Y'"); echo $link; ?> 个</li>
							<li>最后更新：<?php $last = $wpdb->get_results("SELECT MAX(post_modified) AS MAX_m FROM $wpdb->posts WHERE (post_type = 'post' OR post_type = 'page') AND (post_status = 'publish' OR post_status = 'private')");$last = date('Y-n-j', strtotime($last[0]->MAX_m));echo $last; ?></li>
							</ul>
						</div>	
					</a>
					<!--站点统计结束-->
					<?php if(is_user_logged_in()){
						echo '<i class="icon-setup"></i> '; 
						echo '<a href="'.site_url('wp-admin/edit.php').'" target="_blank">文章管理</a>';
						echo ' &nbsp; <i class="icon-right"></i> ';
					}else{
						echo '<i class="icon-user"></i> ';
					}; 
					wp_loginout(); 
					?>
				</div>
			</div>
		</div>
	</div><!-- .top-bar -->

	<?php if ( is_single() ) : ?>
	<div class="empty"></div>

	<?php else : ?>
	<header id="masthead" class="site-header" itemscope="itemscope" itemtype="http://schema.org/WPHeader">
		<div class="site-branding text-center eggs" style="background-image:url(<?php echo get_option('Lonesome_eggs') ?>);background-position:right 20% center;background-repeat:no-repeat;background-size:auto 90%;">
			<?php if ( function_exists( 'the_custom_logo' ) && has_custom_logo() ) : ?>
				<?php the_custom_logo(); ?>
			<?php else : ?>
				<?php if ( is_front_page() ) : ?>
					<h1 class="site-title">
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
					</h1>
				<?php else : ?>
					<div class="site-title">
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
					</div>
				<?php endif; ?>
			<?php endif; ?>
			<?php
			$description = get_bloginfo( 'description', 'display' );
			if ( $description || is_customize_preview() ) : ?>
				<div class="site-description"><?php echo $description; /* WPCS: xss ok. */ ?></div>
			<?php endif; ?>
		</div>
		<?php if ( has_nav_menu( 'primary' ) ) : ?>
			<nav id="site-navigation" class="main-navigation">
				<?php
				wp_nav_menu( array(
					'theme_location'  => 'primary',
					'container_class' => 'container',
					'menu_id'         => 'primary-menu',
					'menu_class'      => 'primary-menu text-center',
				) );
				?>
			</nav><!-- #site-navigation -->
		<?php endif; ?>
	</header><!-- #masthead -->
	<?php endif; ?>

	<div class="container">
		<main id="main" class="site-main">