<?php
add_action( 'wp_enqueue_scripts', 'Lonesome_enqueue_scripts' );

/**
 * Enqueue scripts and styles
 */
function Lonesome_enqueue_scripts() {
	// Customized bootstrap for the theme.
	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.css', '', '3.3.5' );

	// Theme style
	wp_enqueue_style( 'Lonesome', get_stylesheet_uri(), array() , filemtime(get_stylesheet_directory().'/style.css'));

	// Scripts
	wp_enqueue_script( 'Lonesome', get_template_directory_uri() . '/js/script.js', array( 'jquery' ), '', true );

	// zoom
	wp_enqueue_script( 'zoom', get_template_directory_uri() . '/js/zoom.min.js', array( 'jquery' ), '', true );

	if ( is_singular() && get_option( 'thread_comments' ) && comments_open() ) {
		wp_enqueue_script( 'comment-reply' );
	}
}


add_filter( 'post_class', 'Lonesome_post_class' );

/**
 * Add class for posts with no thumbnails
 *
 * @param array $class
 *
 * @return array
 */
function Lonesome_post_class( $class ) {
	if ( ! is_singular() && 'post' == get_post_type() ) {
		$class[] = 'col-sm-6';
	}

	return $class;
}