<?php

// Lonesome主题设置
add_action('admin_menu', 'Lonesome_page');

function Lonesome_page (){
	if ( count($_POST) > 0 && isset($_POST['Lonesome_settings']) ){
		$options = array ('analytics','description','keywords','qq','mail','weibo','weixin','hongbao','alipay','icp','logo','ico','font_icon','eggs','stats','single_qq','single_weibo');
		foreach ( $options as $opt ){
			delete_option ( 'Lonesome_'.$opt, $_POST[$opt] );
			add_option ( 'Lonesome_'.$opt, $_POST[$opt] );	
		}
	}

	add_theme_page(__('主题设置'), __('主题设置'), 'edit_themes', basename(__FILE__), 'Lonesome_settings');
}

function Lonesome_settings(){?>

	<div class="wrap" id="profile-page">
		<h1>主题设置</h1>
		<span class="description"> Lonesome主题使用反馈地址：<a href="https://mrju.cn/guestbook" target="_blank">https://mrju.cn/guestbook</a></span>
		<form method="post" action="">
			<h2>社交信息</h2>
				<table class="form-table">
					<tbody>
						<tr>
							<th><label for="qq">腾讯QQ</label></th>
							<td><input name="qq" id="qq" class="regular-text" type="text" value="<?php echo get_option('Lonesome_qq'); ?>"><span class="description"> 例如：123456（填自己的QQ）</span></td>
						</tr>
						<tr>
							<th><label for="mail">QQ邮箱-邮我</label></th>
							<td><input name="mail" id="mail" class="regular-text" type="text" value="<?php echo get_option('Lonesome_mail'); ?>"><span class="description"> 例如：qcTbw9zpz8bRxMjAxYfKxsQ（QQ邮箱：设置-账户-邮我。获取字符串）</span></td>
						</tr>
						<tr>
							<th><label for="weibo">新浪微博</label></th>
							<td><input name="weibo" id="weibo" class="regular-text" type="text" value="<?php echo get_option('Lonesome_weibo'); ?>"><span class="description"> 例如：http://weibo.com/Lonesome</span></td>
						</tr>
						<tr>
							<th><label for="weixin">微信</label></th>
							<td><input name="weixin" id="weixin" class="regular-text" type="text" value="<?php echo get_option('Lonesome_weixin'); ?>"><span class="description"> 例如：https://cdn.mrju.cn/Lonesome/weixin.jpg（图片地址）</span></td>
						</tr>
						<tr>
							<th><label for="hongbao">红包打赏</label></th>
							<td><input name="hongbao" id="hongbao" class="regular-text" type="text" value="<?php echo get_option('Lonesome_hongbao'); ?>"><span class="description"> 例如：https://cdn.mrju.cn/Lonesome/alipay.jpg（图片地址）</span></td>
						</tr>
						<tr>
							<th><label for="alipay">文章内页打赏</label></th>
							<td><input name="alipay" id="alipay" class="regular-text" type="text" value="<?php echo get_option('Lonesome_alipay'); ?>"><span class="description"> 例如：https://cdn.mrju.cn/Lonesome/alipay.jpg（图片地址）</span></td>
						</tr>
						<tr>
							<th><label for="single_qq">文章页面-腾讯QQ</label></th>
							<td><input name="single_qq" id="single_qq" class="regular-text" type="text" value="<?php echo get_option('Lonesome_single_qq'); ?>"><span class="description">例如：123456（填自己的QQ）</span></td>
						</tr>
						<tr>
							<th><label for="single_weibo">文章页面-新浪微博</label></th>
							<td><input name="single_weibo" id="single_weibo" class="regular-text" type="text" value="<?php echo get_option('Lonesome_single_weibo'); ?>"><span class="description"> 例如：http://weibo.com/Lonesome</span></td>
						</tr>
						<tr>
							<th><label for="icp">备案号</label></th>
							<td><input name="icp" id="icp" class="regular-text" type="text" value="<?php echo get_option('Lonesome_icp'); ?>"><span class="description"> 例如： 鄂ICP备15008888号-1</span></td>
						</tr>
					</tbody>
				</table>

			<h2>博客设置</h2>
				<table class="form-table">
						<tbody>
							<tr>
								<th><label for="logo">博客后台logo地址</label></th>
								<td><input name="logo" id="logo" class="regular-text" type="text" value="<?php echo get_option('Lonesome_logo'); ?>"><span class="description"> 例如：https://cdn.mrju.cn/Lonesome/images/logo.png（图片地址）</span></td>
							</tr>
							<tr>
								<th><label for="ico">博客ico地址</label></th>
								<td><input name="ico" id="ico" class="regular-text" type="text" value="<?php echo get_option('Lonesome_ico'); ?>"><span class="description"> 例如：https://cdn.mrju.cn/img/logo-32.ico（图片地址）</span></td>
							</tr>
							<tr>
								<th><label for="font_icon">首页每篇文章下方的字体小图标</label></th>
								<td><input name="font_icon" id="font_icon" class="regular-text" type="text" value="<?php echo get_option('Lonesome_font_icon'); ?>"><span class="description"> 例如：icon-heart（本主题icon展示地址：https://mrju.cn/iconfont）</span></td>
							</tr>
							<tr>
								<th><label for="eggs">博客彩蛋图片地址</label></th>
								<td><input name="eggs" id="eggs" class="regular-text" type="text" value="<?php echo get_option('Lonesome_eggs'); ?>"><span class="description"> 例如：这里没有例子，你可以放一张图片到这里试试前台会出现什么？</span></td>
							</tr>
							<tr>
								<th><label for="stats">博客建站日期</label></th>
								<td><input name="stats" id="stats" class="regular-text" type="text" value="<?php echo get_option('Lonesome_stats'); ?>"><span class="description"> 例如：2013-05-13（格式一定要规范。）</span></td>
							</tr>
						</tbody>
				</table>

			<h2>博客信息</h2>
				<table class="form-table">
					<tbody>
						<tr>
							<th><label for="description">博客描述</label></th>
							<td><textarea name="description" id="description" rows="5" cols="30"><?php echo get_option('Lonesome_description'); ?></textarea>
							<p class="description">网站描述：针对搜索引擎设置的网页描述。如： 这儿是MrJu记录分享交流的私人领地。</p></td>
						</tr>
						<tr>
							<th><label for="keywords">博客关键词</label></th>
							<td><textarea name="keywords" id="keywords" rows="5" cols="30"><?php echo get_option('Lonesome_keywords'); ?></textarea>
							<p class="description">网站关键词：中间用半角逗号隔开。如： 折腾WordPress,生活记录,独立博客,MrJu,Lonesome</p></td>
						</tr>
						<tr>
							<th><label for="analytics">站长统计代码</label></th>
							<td><textarea name="analytics" id="analytics" rows="5" cols="30"><?php echo stripslashes(get_option('Lonesome_analytics')); ?></textarea>
							<p class="description">站长统计代码：这个可以到百度统计或者cnzz上申请。</p></td>
						</tr>
					</tbody>
				</table>

			<p class="submit">
				<input type="submit" name="Submit" class="button-primary" value="保存设置" />
				<input type="hidden" name="Lonesome_settings" value="save" style="display:none;" />
			</p>
		</form>
	</div>

<?php }