<?php
/**
 * 评论通知侧边栏
 */
class Lonesome_Widget_Notice extends WP_Widget {
    function Lonesome_Widget_Notice() {
        $widget_ops = array('description' => '最近评论');
        $this->__construct('comments', '最近评论', $widget_ops);
    }

    function __construct() {
        // Instantiate the parent object

         $widget_ops = array('description' => '最近评论');
        parent::__construct('comments', '最近评论', $widget_ops);
        
    }

    function widget($args, $instance) {
        extract($args);
        $title = apply_filters('widget_title',esc_attr($instance['title']));
        $limit = strip_tags($instance['limit']) ? strip_tags($instance['limit']) : 5;
        $output = '';
        echo $before_widget;
        if( $title ) echo $before_title.$title.$after_title. '<ul class="notice-list">';
        $args = array(
            'number' => 5,
            'author__not_in' => 1
        );
        $comments = get_comments($args);
        global $comment;
        foreach ($comments as $key => $comment) {
            $output .= '<li class="notice-list-item">
		<div class="notice-list-userAvatarIcon">' . get_avatar($comment,40) . '</div>
		<a class="notice-list-button" rel="nofollow" href="' .get_comment_link( $comment->comment_ID) . '">
		' . wp_trim_words($comment->comment_content, 30, '...') . '
		<span class="notice-list-meta">
		<span class="cute">' . $comment->comment_author . '</span>
		发布于' . human_time_diff(get_comment_date('U')) . '前
		</span>
		</a>
		</li>';
        }

        echo $output . '</ul>';
        echo $after_widget;
    }
    function update($new_instance, $old_instance) {
        if (!isset($new_instance['submit'])) {
            return false;
        }
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['limit'] = strip_tags($new_instance['limit']);

        return $instance;
    }
    function form($instance) {
        global $wpdb;
        $instance = wp_parse_args((array) $instance, array('title'=> '', 'limit' => ''));
        $title = esc_attr($instance['title']);
        $limit = strip_tags($instance['limit']);
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>">标题：<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label>
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('limit'); ?>">显示数量：<input class="widefat" id="<?php echo $this->get_field_id('limit'); ?>" name="<?php echo $this->get_field_name('limit'); ?>" type="text" value="<?php echo $limit; ?>" /></label>
        </p>
        <input type="hidden" id="<?php echo $this->get_field_id('submit'); ?>" name="<?php echo $this->get_field_name('submit'); ?>" value="1" />
        <?php
    }
}