<?php
/**
 *
 * 用于显示无法找到文章的模板部分
 * 
 */
?>

<section class="no-results not-found">
	<header class="page-header">
		<h1 class="page-title"><?php esc_html_e( '没有发现什么东西。', 'Lonesome' ); ?></h1>
	</header><!-- .page-header -->

	<div class="page-content">
		<?php
		if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

			<p><?php printf( wp_kses( __( '准备发布你的第一篇文章了吗？ <a href="%1$s">从这里开始</a>.', 'Lonesome' ), array( 'a' => array( 'href' => array() ) ) ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>

		<?php elseif ( is_search() ) : ?>

			<p><?php esc_html_e( '对不起，没有任何匹配您的搜索条件。请尝试再次使用一些不同的关键字。', 'Lonesome' ); ?></p>
			<?php
			get_search_form();
		else : ?>

			<p><?php esc_html_e( '看来你找不到你想要找的东西，那就搜索一下试试?', 'Lonesome' ); ?></p>
			<?php
			get_search_form();
		endif; ?>
	</div><!-- .page-content -->
</section><!-- .no-results -->
